Query Findings

Query Findings
Get filtered and paginated list of findings

If no filters are set, the API returns all the findings in the system

Request
URI
POST
https://{api_host}/suite-api/api/diagnostics/findings/query
COPY
Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page

string
sortBy
Optional

Sort field for Findings APIs.

Possible values are : RULE_ID, SUBTYPE, SEVERITY, AFFECTED_OBJECTS_COUNT, RESOURCE_ID, RESOURCE_NAME, CHECK_TIME, OCCURRENCE_TIME, COMPONENT,
string
sortOrder
Optional

Sort direction for Findings APIs.

Possible values are : ASCENDING, DESCENDING,

Request Body

The findings query

FindingsQuery of type(s) application/json
Optional
"{\n  \"filter\" : {\n    \"resourceIds\" : [ \"8c17e8a2-4ecd-44bf-8e3e-1c92a3557fef\" ],\n    \"resourceKinds\" : [ \"VirtualMachine\" ],\n    \"adapterKinds\" : [ \"VMWARE\" ],\n    \"capabilities\" : [ \"Snapshot\", \"VM Operations\" ],\n    \"categories\" : [ \"Availability\", \"Operation Diagnostics\" ],\n    \"severities\" : [ \"Warning\" ],\n    \"ruleUuids\" : [ \"8de68125-cc30-4236-98fb-02c96f37bfed\" ],\n    \"refreshTypes\" : [ \"Manual\", \"Auto\" ],\n    \"findingTypes\" : [ \"Diagnostic\", \"Security Advisory\" ],\n    \"fromOccurrenceTime\" : 123456789\n  }\n}"
object
filter
Optional

Parameters used to search for Findings.

Authentication
This operation uses the following authentication methods.
Responses
200

The findings in the system

Returns AuditFindingsResponse of type(s) application/json
"{\n  \"findings\" : [ {\n    \"ruleName\" : \"finding_1\",\n    \"ruleDescription\" : \"Issue Description\",\n    \"severity\" : \"critical\",\n    \"category\" : \"availability\",\n    \"capabilities\" : [ \"VMOperations\" ],\n    \"refreshMode\" : \"manual\",\n    \"affectedObjectsCount\" : 15,\n    \"findingType\" : \"diagnostic\",\n    \"lastObservedTimeInMillis\" : 1708705894946\n  } ]\n}"
array of object
findings
Optional

Collection of findings objects

array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/diagnostics/findings/query